$fn=60;
// minus the coil the business end of the frother is �17mm made of 1.5mm wire
// To get the wire to fit in my prints I had to enlarge the holes to at least 2mm diameter
wire=2; // Diameter of holes for wire
height=15;// Propeller height
radius=50;//propeller radius
angle=45;//Blade angle
bladeAngle=90-angle;// We're rotating off vertical
blades=5;//Number of blades
inset=5;//how far in the wire is on the nozzle
innerHub=7.5;//radius of the central hub inside the wire
outerHub=0.5*height/cos(bladeAngle);//radius of the central hub outside the wire
thickness=1.4;// blade and wall thickness


module ventilo () {difference(){
	union(){
		difference(){
			cylinder(h=height, r=outerHub);
			translate([0, 0, -height]) cylinder(h=3*height, r=outerHub-thickness);
		}
		cylinder(h=height+inset, r=innerHub);
		for(i=[0:blades-1]){
			rotate([0,0,i*360/blades]) translate([0, 0.5*height/cos(bladeAngle), 0]) 
				rotate([bladeAngle,0,0]) 
				translate([0, -thickness, -4*height]) cube([radius, thickness, 9*height]);
		}
	}
	cylinder(h=100, r=1.1);
	rotate([0,0, 180]) translate([0,-1,0]) cube([100, 2, 100]);
	translate([0,0, -10*height]) cylinder(h=10*height, r=10*height);
	difference(){
		translate([0,0,height]) cylinder(h=9*height,r=9*height);
		cylinder(h=11*height,r=innerHub);
	}
	difference(){
		cylinder(h=9*height,r=11*radius);
		translate([0,0,-5*height]) cylinder(h=11*height, r=radius+thickness);
	}
}

difference(){
	cylinder(h=height, r=radius+thickness);	
	translate([0, 0, -height]) cylinder(h=3*height, r=radius);	
}};

module ventilateur (){translate ([0,0,8]) cylinder (r=2.7, h=12);
cylinder (r=8, h=8);
difference (){scale([0.6,0.6,0.5]) {ventilo ();} translate ([0,0,8]) cylinder (r=8, h=20);}}
ventilateur ();